How to install older version of Vicidial?

Support forum for the ViciBox ISO Server Install and ISO LiveCD Demo

Moderators: enjay, williamconley, Staydog, mflorell, MJCoate, mcargile, Kumba

How to install older version of Vicidial?

Postby usmanriaz » Fri Apr 19, 2019 2:16 pm

I want to install the Vicidial version 2.14-643a (Build: 171126-1413). I am able to successfully install Vicibox ISO on my system but it installs the latest version (I'm using "vicidial express install"). Can you please guide how do I install the old version of Vicidial using the Vicibox ISO.

I tried installing through an older version of Vicibox ISO, but it still installs the latest version of Vicidial.
usmanriaz
 
Posts: 2
Joined: Wed Mar 27, 2019 8:41 am

Re: How to install older version of Vicidial?

Postby williamconley » Fri Apr 19, 2019 3:16 pm

Since you haven't explained your situation (and I doubt this is mere curiosity), I'll assume you have a database backup from 2.14-643a (Build: 171126-1413) and require a server in which to install it because your original server ... died.

Your BEST bet would be to install the latest, restore your database, and then follow the upgrade instructions pertaining to the upgrade of the database. Now you have all your data AND have a fully upgraded system.

Failing that, you can install (as you already have) the latest version, then delete the /usr/src/astguiclient/trunk folder (or move it to trunkOLD), check out a new trunk folder with the correct svn revision level, and install that version with perl. Then you restore your matching DB and you're up and running. You will need to either get the SVN revision level from your DB (load it first?) in the system settings table or use an SVN repo browser to find which svn revision level contains 2.14-643a (Build: 171126-1413).

Code: Select all
cd /usr/src/astguiclient
mv trunk trunkOLD
svn co -r 1638 svn://svn.eflo.net:43690/agc_2-X/trunk
cd trunk
perl install.pl
perl /usr/share/astguiclient/ADMIN_update_server_ip.pl

You'll also need to modify your system settings and server settings to reflect the new system (if the asterisk version is different or the VM server's IP is wrong ... check everything).

Depending on how the installer works these days, you may also be able to "pause" during the install, open a 2nd PuTTY instance and force the svn revision level before the DB installation begins.

Note: If you are installing an older version of Vicidial on a newer ".iso base install" your only major restriction is that older Vicidial may not support Newer Asterisk. For instance, if your code supported asterisk 1.4, it's unlikely it will also support Asterisk 11. So you *may* need to install from an older .iso installer to get the proper version of asterisk installed easily (it can be done by uninstalling asterisk and reinstalling an old version ... but it's so much easier to just use an older vicibox .iso, thanks kumba!!)
Vicidial Installation and Repair, plus Hosting and Colocation
SugarCRM integration - Customization and Add-ons - We Bring It All Together.
http://www.PoundTeam.com # 352-269-0000 # +44 (203) 769-2294 # +506 4001-8914
williamconley
 
Posts: 18992
Joined: Wed Oct 31, 2007 4:17 pm
Location: Davenport, FL (By Disney!)

Re: How to install older version of Vicidial?

Postby usmanriaz » Sun Apr 21, 2019 5:36 am

I'm sorry for not mentioning earlier why I need to install older version.

I'm doing it for a client who is insistent on installing the older version because he thinks the new version is not stable (According to him the agent can't take the call, and phone keeps ringing on new version). So he gave me the exact version number to install on a VPS. I'm not a pro in Vicidial installation (never done this before) and looking for leads on how to install an older version of Vicidial.
usmanriaz
 
Posts: 2
Joined: Wed Mar 27, 2019 8:41 am

Re: How to install older version of Vicidial?

Postby williamconley » Mon Apr 22, 2019 1:58 pm

given the odds he upgraded incorrectly and broke his system (or restored and it was a mismatch to the code or asterisk version).

Stage one: Find out which version(s) of asterisk his code will support. Then you can choose an installation .iso image with the correct version of asterisk.

BUT: I submit that the best approach would still be to upgrade his database to match the latest version of Vicidial. Vicidial doesn't have unstable versions in /trunk/ which is the repository attached by the installer.
Vicidial Installation and Repair, plus Hosting and Colocation
SugarCRM integration - Customization and Add-ons - We Bring It All Together.
http://www.PoundTeam.com # 352-269-0000 # +44 (203) 769-2294 # +506 4001-8914
williamconley
 
Posts: 18992
Joined: Wed Oct 31, 2007 4:17 pm
Location: Davenport, FL (By Disney!)


Return to ViciBox Server Install and Demo

Who is online

Users browsing this forum: Google [Bot] and 3 guests